#!/bin/bash

silent="Silent"
if [[ $LANG == *"zh_"* ]];then
    silent="不再提示"
fi

available=$(busctl call -- com.deepin.daemon.ACL /org/deepin/security/hierarchical/Control org.deepin.security.hierarchical.Control Availabled|awk '{print $2}')
msg=$(gettext -d dde-daemon 'You cannot run the unverified "%s", but you can change the settings in Security Center.')
msg=$(printf "$msg" $1)
gdbus call --session --dest org.freedesktop.Notifications \
    --object-path /org/freedesktop/Notifications \
    --method org.freedesktop.Notifications.Notify \
    dde-control-center \
    0 \
    preferences-system \
    '' \
    "$msg" \
    '[
        "action0","'$(gettext -d dde-daemon 'Proceed')'",
        "action1","'$silent'"
     ]' \
    '{
        "x-deepin-action-action0":<"dbus-send,--session,--print-reply,--dest=com.deepin.defender.hmiscreen,/com/deepin/defender/hmiscreen,com.deepin.defender.hmiscreen.ShowPage,string:securitytools,string:application-safety">,
        "x-deepin-action-action1":<"dbus-send,--system,--print-reply,--dest=com.deepin.daemon.ACL,/org/deepin/security/hierarchical/Control,org.deepin.security.hierarchical.Control.SetMsgNotify,boolean:false">
     }' \
    5000
